Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface UserMailListFactory

    public interface UserMailListFactory

`UserMailListFactory` is an interface used to get user implemented `UserMailList`. User can implement multiple classes of the interface `UserMailList`, An implementation may refer to a particular report, By `getInstance()`, user can get one implementation of the `UserMailList`. To apply user customized `UserMailListFactory`, users should write their own implmentations of it, add the implementation into the classpath for server launching, then use -Dcom.jinfonet.mailListFactory parameter to indicate this implementation, for example, add "-Dcom.jinfonet.mailListFactory=DemoUserMailListFactoryImpl" in the startup batch file.

See Also:
  `UserMailList`

Method Summary
`UserMailList` | `getInstance(ServerInfo serverInfo)` Gets a `UserMailList` instance according to the parameter `serverInfo`.

Method Detail

### getInstance

    UserMailList getInstance(ServerInfo serverInfo)

  Gets a `UserMailList` instance according to the parameter `serverInfo`. If `serverInfo` equals null, it means the system wants to get a server default `UserMailList`, which is implemented by JReport server. Mail addresses got from this object are stored in JReport server user accounts. Users can implement TaskListener to clear the customized `UserMialList` after running report, then clear referred resources by `UserMailList`, such as database connections.

  Parameters:
    `serverInfo` - a `ServerInfo` instance. From this object users can get proper implementation of `UserMailList`.
  Returns:
    user implemented `UserMailList` referred to `serverInfo`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD